summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorNathan Egge (unlord) <nathanegge@yahoo.com>2008-07-13 01:19:55 +0000
committerNathan Egge (unlord) <nathanegge@yahoo.com>2008-07-13 01:19:55 +0000
commitbf3cd7b8fbe378ba7ff8004539163265665f9190 (patch)
treed1c723c93f5911ffcfda3fd899af547efe06272b
parentgames-rpg/ihnm-demo: New ebuild for bug 231647 (diff)
downloadsunrise-bf3cd7b8fbe378ba7ff8004539163265665f9190.tar.gz
sunrise-bf3cd7b8fbe378ba7ff8004539163265665f9190.tar.bz2
sunrise-bf3cd7b8fbe378ba7ff8004539163265665f9190.zip
games-rpg/ihnm: New ebuild for bug 231653
svn path=/sunrise/; revision=6488
-rw-r--r--games-rpg/ihnm/ChangeLog8
-rw-r--r--games-rpg/ihnm/Manifest3
-rw-r--r--games-rpg/ihnm/ihnm-1.ebuild44
-rw-r--r--games-rpg/ihnm/metadata.xml5
4 files changed, 60 insertions, 0 deletions
diff --git a/games-rpg/ihnm/ChangeLog b/games-rpg/ihnm/ChangeLog
new file mode 100644
index 000000000..627a8fcdd
--- /dev/null
+++ b/games-rpg/ihnm/ChangeLog
@@ -0,0 +1,8 @@
+# ChangeLog for games-rpg/ihnm
+# Copyright 1999-2008 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+ 13 Jul 2008; Your Name (ircnick) <your@mail.org> +ihnm-1.ebuild,
+ +metadata.xml:
+ New ebuild for bug 231653
+
diff --git a/games-rpg/ihnm/Manifest b/games-rpg/ihnm/Manifest
new file mode 100644
index 000000000..d72ae375c
--- /dev/null
+++ b/games-rpg/ihnm/Manifest
@@ -0,0 +1,3 @@
+EBUILD ihnm-1.ebuild 1046 RMD160 fb97c81861d819d74afa48499e2b9baaa60a7aea SHA1 959304ed67da0d39ae3a3176a8844a7f4196fed5 SHA256 a721ad00c9f33ce94cc5c7c4de4534043caf59a0a27b0333a0a5e9b4caa19c9d
+MISC ChangeLog 228 RMD160 a70a17eba72a0e1c211a3610cf75d126f50f9075 SHA1 7d401f518b7ef461c8be167b42ddd513f573a0aa SHA256 6373f98c6eee2e905063a3242089b99a5fce19b356e0e955e233de9a42320a74
+MISC metadata.xml 170 RMD160 645927a396fdc21cdeb089fe42c5397332420ea6 SHA1 ac7f48a14fec325926f9ce1be8fbf1f311b4f2e4 SHA256 d797a2ec6f9dc516c9f9c1a758ee87ad3e8c43101b5dc76c2f872d5bd4639b42
diff --git a/games-rpg/ihnm/ihnm-1.ebuild b/games-rpg/ihnm/ihnm-1.ebuild
new file mode 100644
index 000000000..6295e7752
--- /dev/null
+++ b/games-rpg/ihnm/ihnm-1.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit eutils games
+
+DESCRIPTION="I Have No Mouth, and I Must Scream"
+HOMEPAGE="http://harlanellison.com/herc.htm#ihnm"
+
+LICENSE="freedist"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+RESTRICT="strip"
+
+RDEPEND=">=games-engines/scummvm-0.11.0"
+
+S=${WORKDIR}
+dir=${GAMES_DATADIR}/${PN}
+
+src_install() {
+ insinto "${dir}"
+
+ cdrom_get_cds scream.res
+ einfo "Copying files from CD..."
+ doins ${CDROM_ROOT}/musicfm.res \
+ ${CDROM_ROOT}/musicgm.res \
+ ${CDROM_ROOT}/scream.res \
+ ${CDROM_ROOT}/patch.re_ \
+ ${CDROM_ROOT}/scripts.res \
+ ${CDROM_ROOT}/sfx.res \
+ ${CDROM_ROOT}/voicess.res \
+ ${CDROM_ROOT}/voices1.res \
+ ${CDROM_ROOT}/voices2.res \
+ ${CDROM_ROOT}/voices3.res \
+ ${CDROM_ROOT}/voices4.res \
+ ${CDROM_ROOT}/voices5.res \
+ ${CDROM_ROOT}/voices6.res || die "doins failed"
+
+ games_make_wrapper ${PN} "scummvm -f -p \"${dir}\" ihnm"
+ make_desktop_entry ${PN} "I Have No Mouth, and I Must Scream"
+
+ prepgamesdirs
+}
diff --git a/games-rpg/ihnm/metadata.xml b/games-rpg/ihnm/metadata.xml
new file mode 100644
index 000000000..7e3286984
--- /dev/null
+++ b/games-rpg/ihnm/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>maintainer-wanted</herd>
+</pkgmetadata>